#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <string.h>
#include <stdint.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_video.h>
#include "ui_particles.hpp"
#include "textures.hpp"


static std::string color_paths[] = {"blue", "green", "red", "yellow"};
static std::string sprite_path = "../sdl_sprites/";

ui_particles::ui_particles(Color color, SDL_Renderer *in_renderer)
{
    renderer = in_renderer;
    bitmapTexture = get_texture(color);
    Rectangle.x = 0;
    Rectangle.y = 0;
    Rectangle.w = 5;
    Rectangle.h = 5;
    // std::cout<<sprite_path<<color_paths[color] << "\n";
}

ui_particles::~ui_particles()
{
}



void ui_particles::set_location(float x, float y)
{
    Rectangle.x = int(x-(Rectangle.w/2));
    Rectangle.y = int(y-(Rectangle.h/2));
}

// void ui_particles::draw(SDL_Surface * dest_surface)
void ui_particles::draw(void)
{
    SDL_RenderCopy(renderer, bitmapTexture, NULL, &Rectangle);
    // SDL_BlitSurface(bitmapSurface, NULL, dest_surface, &Rectangle);
}

